Update Booking Pax
curl --request PATCH \
--url https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatepax \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{
"pax": 123
}'import requests
url = "https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatepax"
payload = { "pax": 123 }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pax: 123})
};
fetch('https://ipos.dev.nowbookit.com/Bookings/{bookingId}/updatepax', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bookingId": "<string>",
"bookingRef": "<string>",
"amountSpent": 123,
"status": "<string>",
"pax": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Bookings
PATCH /Bookings/{bookingId}/updatepax
Update the party size for an existing booking.
PATCH
/
Bookings
/
{bookingId}
/
updatepax
Update Booking Pax
Update the party size for an existing booking.
Example 200 Response
string
required
Your API key
string
required
Must be
application/jsonstring
required
The NowBookIt Booking ID to update
integer
required
Updated number of guests. Must be greater than 0.
curl --location --request PATCH '[BASE_URL]/Bookings/{bookingId}/updatepax' \
--header 'X-API-KEY: your_api_key_here' \
--header 'Content-Type: application/json' \
--data '{ "pax": 6 }'
{ "bookingId": "abc-123", "bookingRef": "REF-001", "amountSpent": 50.00, "status": "Confirmed", "pax": 6 }
| Field | Type | Description |
|---|---|---|
bookingId | string | NowBookIt booking ID |
bookingRef | string | Booking reference |
amountSpent | number | Amount spent on this booking |
status | string | Current booking status |
pax | integer | Updated number of guests |
| Status | Description |
|---|---|
200 | Party size updated |
400 | The value of Pax must be greater than 0 |
400 | API key not associated with a venue |
400 | No Venue Subscribed to your App. |
401 | X-API-KEY missing or invalid |
404 | bookingId: {bookingId} not found |
500 | Internal server error |
Authorizations
Headers
API Key authentication header
Path Parameters
Body
application/json
The number of guests (pax) to update the booking to.
⌘I